distance/route/maritime
Calculate maritime sea route distances between points
Get maritime route distances. Points will be matched to the nearest sea route vertex.
Authorizations
X-Billing-TokenstringRequired
Authentication token for billing. Get your token at https://developers.distance.tools.
Body
Responses
200
Valid request and found waypoints
No content
400
Bad Request - Invalid request
404
Not Found - Valid request but not all waypoints were found
post/distance/route/maritime
POST /api/v2/distance/route/maritime HTTP/1.1
Host: api.distance.tools
X-Billing-Token: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 44
{
"route": [
{
"name": "text",
"country": "text"
}
]
}No content
Units
The travel duration for car routing is given in seconds. For maritime routes, which are given in hours duration is calculated with a speed of 20 knots. 20 knots = 20 NM / hour.
Last updated